List events
curl --request GET \
--url https://checkout.kalixo.io/v1/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://checkout.kalixo.io/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"id": "evt_01JABCDEF",
"type": "checkout_session.completed",
"api_version": "2026-10-01",
"created_at": "2023-11-07T05:31:56Z",
"livemode": true,
"partner_id": "<string>",
"data": {
"object": {
"id": "pay_01JABCDEF",
"object": "payment",
"status": "requires_payment_method",
"amount": 1,
"currency": "EUR",
"amount_authorized": 1,
"amount_captured": 1,
"amount_refunded": 1,
"amount_disputed": 1,
"amount_capturable": 1,
"capture_method": "automatic",
"reference": "<string>",
"metadata": {},
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"livemode": true,
"amount_mismatch": true,
"checkout_session": "<string>",
"customer": "<string>",
"description": "<string>",
"payment_method": {
"type": "card",
"brand": "visa",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123,
"stored_payment_method": "<string>"
},
"last_payment_error": {
"code": "payment_declined",
"decline_code": "insufficient_funds",
"message": "<string>"
},
"authorized_at": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"related": {}
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Events
List events
Fallback for missed webhooks. Events are kept for 30 days.
GET
/
v1
/
events
List events
curl --request GET \
--url https://checkout.kalixo.io/v1/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://checkout.kalixo.io/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"id": "evt_01JABCDEF",
"type": "checkout_session.completed",
"api_version": "2026-10-01",
"created_at": "2023-11-07T05:31:56Z",
"livemode": true,
"partner_id": "<string>",
"data": {
"object": {
"id": "pay_01JABCDEF",
"object": "payment",
"status": "requires_payment_method",
"amount": 1,
"currency": "EUR",
"amount_authorized": 1,
"amount_captured": 1,
"amount_refunded": 1,
"amount_disputed": 1,
"amount_capturable": 1,
"capture_method": "automatic",
"reference": "<string>",
"metadata": {},
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"livemode": true,
"amount_mismatch": true,
"checkout_session": "<string>",
"customer": "<string>",
"description": "<string>",
"payment_method": {
"type": "card",
"brand": "visa",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123,
"stored_payment_method": "<string>"
},
"last_payment_error": {
"code": "payment_declined",
"decline_code": "insufficient_funds",
"message": "<string>"
},
"authorized_at": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"related": {}
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Authorizations
Secret key, kc_sk_test_... or kc_sk_live_.... Server-side only.
Query Parameters
Required range:
1 <= x <= 100Cursor from a previous page's next_cursor.
Available options:
checkout_session.completed, checkout_session.expired, payment.authorized, payment.captured, payment.partially_captured, payment.failed, payment.canceled, payment.expired, payment.amount_updated, payment.amount_mismatch, payment.fraud_reported, capture.failed, refund.succeeded, refund.failed, dispute.created, dispute.updated, dispute.funds_withdrawn, dispute.won, dispute.lost, payment_method.attached, payment_method.updated, payment_method.detached